// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "API Support",
            "url": "http://www.swagger.io/support",
            "email": "support@swagger.io"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/": {
            "get": {
                "description": "do ping",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Root"
                ],
                "summary": "health check",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/public.ResHealthCheck"
                        }
                    }
                }
            }
        },
        "/echo": {
            "post": {
                "description": "do return whatever you send",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Root"
                ],
                "summary": "echo endpoint return whatever you send",
                "parameters": [
                    {
                        "description": "return whatever you send",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/public.EchoMessage"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/public.ResEcho"
                        }
                    }
                }
            }
        },
        "/friend/recommendation/list": {
            "get": {
                "description": "New Friend Recommendation",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Friend"
                ],
                "summary": "New Friend Recommendation",
                "parameters": [
                    {
                        "type": "string",
                        "name": "profileID",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/friend.RecommendationResponse"
                        }
                    }
                }
            }
        },
        "/friend/request/approve": {
            "put": {
                "description": "Approve Friend Request",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Friend"
                ],
                "summary": "Approve Friend Request",
                "parameters": [
                    {
                        "description": "Approve Friend Request",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend.ApproveRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/friend.ApproveResponse"
                        }
                    }
                }
            }
        },
        "/friend/request/create": {
            "post": {
                "description": "Create Friend Request",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Friend"
                ],
                "summary": "Create Friend Request",
                "parameters": [
                    {
                        "description": "Create Friend Request ",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend.CreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/friend.CreateResponse"
                        }
                    }
                }
            }
        },
        "/friend/request/list": {
            "get": {
                "description": "list friend request",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Friend"
                ],
                "summary": "list friend request",
                "parameters": [
                    {
                        "type": "string",
                        "name": "profileID",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/friend.ListResponse"
                        }
                    }
                }
            }
        },
        "/interest/list": {
            "get": {
                "description": "list all interest",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Interest"
                ],
                "summary": "list all interest",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/interest.ResInterestList"
                        }
                    }
                }
            }
        },
        "/ping": {
            "get": {
                "description": "do ping",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Root"
                ],
                "summary": "ping endpoint",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/public.ResPing"
                        }
                    }
                }
            }
        },
        "/post/create": {
            "post": {
                "description": "create post",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Post"
                ],
                "summary": "create post",
                "parameters": [
                    {
                        "description": "create post",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/post.CreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/post.CreateResponse"
                        }
                    }
                }
            }
        },
        "/post/delete": {
            "delete": {
                "description": "delete post",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Post"
                ],
                "summary": "delete post",
                "parameters": [
                    {
                        "description": "delete post",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/post.DeleteRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/post.DeleteResponse"
                        }
                    }
                }
            }
        },
        "/post/list": {
            "get": {
                "description": "list post",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Post"
                ],
                "summary": "list post",
                "parameters": [
                    {
                        "type": "string",
                        "name": "profileID",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/post.ListResponse"
                        }
                    }
                }
            }
        },
        "/post/update": {
            "put": {
                "description": "update post",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Post"
                ],
                "summary": "update post",
                "parameters": [
                    {
                        "description": "update post",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/post.UpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/post.UpdateResponse"
                        }
                    }
                }
            }
        },
        "/register": {
            "post": {
                "description": "user login",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Root"
                ],
                "summary": "user login",
                "parameters": [
                    {
                        "description": "user login",
                        "name": "Payload",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/public.LoginPayload"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/public.ResLogin"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "component.Address": {
            "type": "object",
            "required": [
                "city",
                "postalCode",
                "state",
                "street1",
                "town"
            ],
            "properties": {
                "city": {
                    "type": "string"
                },
                "postalCode": {
                    "type": "integer"
                },
                "state": {
                    "type": "string"
                },
                "street1": {
                    "type": "string"
                },
                "street2": {
                    "type": "string"
                },
                "town": {
                    "type": "string"
                }
            }
        },
        "component.Contact": {
            "type": "object",
            "required": [
                "countryCode",
                "fullNumber",
                "phoneNumber"
            ],
            "properties": {
                "countryCode": {
                    "type": "string"
                },
                "fullNumber": {
                    "type": "string"
                },
                "phoneNumber": {
                    "type": "string"
                }
            }
        },
        "friend.ApproveRequest": {
            "type": "object",
            "required": [
                "friendshipEdgeID"
            ],
            "properties": {
                "friendshipEdgeID": {
                    "type": "string"
                }
            }
        },
        "friend.ApproveResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "object",
                    "properties": {
                        "friendshipEdgeID": {
                            "type": "string"
                        }
                    }
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "friend.CreateRequest": {
            "type": "object",
            "required": [
                "profileID"
            ],
            "properties": {
                "profileID": {
                    "type": "string"
                }
            }
        },
        "friend.CreateResponse": {
            "type": "object",
            "properties": {
                "data": {},
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "friend.ListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/repository.FriendRequestListModel"
                    }
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "friend.RecommendationResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.Profile"
                    }
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "interest.ResInterestList": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "object",
                    "properties": {
                        "interests": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/model.Interest"
                            }
                        }
                    }
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "model.Interest": {
            "type": "object",
            "properties": {
                "_id": {
                    "type": "string"
                },
                "_key": {
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "createdBy": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                },
                "updatedBy": {
                    "type": "string"
                }
            }
        },
        "model.Post": {
            "type": "object",
            "properties": {
                "_id": {
                    "type": "string"
                },
                "_key": {
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "createdBy": {
                    "type": "string"
                },
                "isDeleted": {
                    "type": "boolean"
                },
                "text": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                },
                "updatedBy": {
                    "type": "string"
                }
            }
        },
        "model.Profile": {
            "type": "object",
            "required": [
                "address",
                "contact",
                "email",
                "firstName",
                "lastName"
            ],
            "properties": {
                "_id": {
                    "type": "string"
                },
                "_key": {
                    "type": "string"
                },
                "address": {
                    "$ref": "#/definitions/component.Address"
                },
                "contact": {
                    "$ref": "#/definitions/component.Contact"
                },
                "createdAt": {
                    "type": "string"
                },
                "createdBy": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "firstName": {
                    "type": "string"
                },
                "lastName": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                },
                "updatedBy": {
                    "type": "string"
                }
            }
        },
        "post.CreateRequest": {
            "type": "object",
            "required": [
                "creatorProfileID",
                "text"
            ],
            "properties": {
                "creatorProfileID": {
                    "type": "string"
                },
                "text": {
                    "type": "string"
                }
            }
        },
        "post.CreateResponse": {
            "type": "object",
            "properties": {
                "data": {},
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "post.DeleteRequest": {
            "type": "object",
            "required": [
                "deleterProfileID",
                "postID"
            ],
            "properties": {
                "deleterProfileID": {
                    "type": "string"
                },
                "postID": {
                    "type": "string"
                }
            }
        },
        "post.DeleteResponse": {
            "type": "object",
            "properties": {
                "data": {},
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "post.ListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.Post"
                    }
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "post.UpdateRequest": {
            "type": "object",
            "required": [
                "postID",
                "text",
                "updaterProfileID"
            ],
            "properties": {
                "postID": {
                    "type": "string"
                },
                "text": {
                    "type": "string"
                },
                "updaterProfileID": {
                    "type": "string"
                }
            }
        },
        "post.UpdateResponse": {
            "type": "object",
            "properties": {
                "data": {},
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "public.EchoMessage": {
            "type": "object",
            "required": [
                "text"
            ],
            "properties": {
                "text": {
                    "type": "string"
                }
            }
        },
        "public.LoginPayload": {
            "type": "object",
            "required": [
                "email"
            ],
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                }
            }
        },
        "public.RegisterPayload": {
            "type": "object",
            "required": [
                "interestIDs",
                "password",
                "profile"
            ],
            "properties": {
                "interestIDs": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "password": {
                    "type": "string"
                },
                "profile": {
                    "$ref": "#/definitions/model.Profile"
                }
            }
        },
        "public.ResEcho": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "public.ResHealthCheck": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "public.ResLogin": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "object",
                    "properties": {
                        "accessToken": {
                            "type": "string"
                        },
                        "profile": {
                            "$ref": "#/definitions/model.Profile"
                        }
                    }
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "public.ResPing": {
            "type": "object",
            "properties": {
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "public.ResRegister": {
            "type": "object",
            "properties": {
                "data": {
                    "$ref": "#/definitions/model.Profile"
                },
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "repository.FriendRequestListModel": {
            "type": "object",
            "properties": {
                "friendshipEdgeID": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "profileID": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:11111",
	BasePath:         "/",
	Schemes:          []string{"http"},
	Title:            "Golang Gin Framework Swagger API Documentation",
	Description:      "Golang API Boilerplate",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
